Subject: Re: bug#28747: 26.0.60; Usage of "&rest body" in Edebug specs

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 31 Jan 2022 03:21:34 +0100

Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

>> Does anyone have thoughts on the idea of adding &repeat as a synonym
>> for &rest in Edebug specs, with the goal of moving &rest towards
>> obsolescence eventually?
>
> I like the idea.  Only problem I can see is that it doesn't
> solve the problem for `&optional`.

I guess it could also lead to problems in third-party packages that use
the edebug specs themselves -- they expect symbols tagged up with &rest
and get &repeat instead, breaking their code.

I'm not sure how serious a problem that is, though.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no